Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.wfs
Class AbstractWFSRequestValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.RequestValidator
          org.deegree.security.owsrequestvalidator.wfs.AbstractWFSRequestValidator

Direct Known Subclasses:
  DescribeFeatureTypeRequestValidator, GetFeatureRequestValidator, TransactionValidator

    abstract class AbstractWFSRequestValidator

extends RequestValidator

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`gpv, policy, securityConfig, userCoupled`

Constructor Summary
`AbstractWFSRequestValidator(Policy policy)`

Method Summary
`protected ComplexFilter` | `extractInstanceFilter(Operation operation)`
`protected void` | `validateFeatureTypes(Condition condition, String[] featureTypes)` validates if the requested info featuretypes are valid against the policy/condition.

Methods inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`getPolicy, handleUserCoupledRules, setPolicy, validateExceptions, validateRequest, validateVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWFSRequestValidator

    public AbstractWFSRequestValidator(Policy policy)

Parameters:
  `policy` -

Method Detail

### validateFeatureTypes

    protected void validateFeatureTypes(Condition condition,
                                        String[] featureTypes)
                                 throws InvalidParameterValueException

  validates if the requested info featuretypes are valid against the policy/condition. If the passed user <> null this is checked against the user- and rights-management system/repository

  Parameters:
    `condition` -
    `featureTypes` -
  Throws:
    `InvalidParameterValueException`

### extractInstanceFilter

    protected ComplexFilter extractInstanceFilter(Operation operation)
                                           throws SAXException,
                                                  IOException,
                                                  FilterConstructionException

  Parameters:
    `operation` -
  Returns:
    the filter defined for the given operation or `null` if no such filter is defined.
  Throws:
    `IOException`
    `SAXException`
    `FilterConstructionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org